## ros-rosinstall-generator 0.1.22

=== Makefile ===
.PHONY: all setup clean_dist distro clean install

NAME=rosinstall_generator
VERSION=`./setup.py --version`

all:
	echo "noop for debbuild"

setup:
	echo "building version ${VERSION}"

clean_dist:
	-rm -f MANIFEST
	-rm -rf deb_dist
	-rm -rf dist
	-rm -rf src/rosinstall_generator.egg-info

distro: setup clean_dist
	python setup.py sdist

clean: clean_dist
	echo "clean"

install: distro
	sudo checkinstall python setup.py install

## ros-rosinstall-generator 0.1.11

=== debian/changelog ===
ros-rosinstall-generator (0.1.11-1) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Imported Upstream version 0.1.10
  * Uploaded to Debian (Closes: #804034)

  [ Leopold Palomo-Avellaneda ]
  * Updated Uploaders field
  * Added VCS fields
  * Added Homepage field and rewrite the Description
  * Updated copyright file

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Thu, 26 Nov 2015 05:10:00 +0000

rosinstall-generator (0.1.9-1.drp70+1) wheezy-robotics; urgency=medium

  * Rebuild for drp.

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Fri, 28 Nov 2014 13:34:13 +0100

rosinstall-generator (0.1.8-1+drp70+1) wheezy-robotics; urgency=low

  * New upstream release.

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Fri, 21 Feb 2014 12:56:32 +0100

rosinstall-generator (0.1.3-1+drp70+2) wheezy-robotics; urgency=low

  * New version. Package as binary and library.

 -- Leopold Palomo-Avelleneda <leo@alaxarxa.net>  Fri, 11 Oct 2013 14:24:56 +0200

rosinstall-generator (0.1.3-1+drp70+1) wheezy-robotics; urgency=low

  * Initial version for drp.

 -- Leopold Palomo-Avelleneda <leo@alaxarxa.net>  Fri, 11 Oct 2013 12:49:09 +0200

rosinstall-generator (0.1.3-1) lucid oneiric precise quantal raring wheezy; urgency=low

  * source package automatically created by stdeb 0.6.0+git

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Oct 2013 12:43:54 +0200

=== debian/control ===
Source: ros-rosinstall-generator
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Section: python
Priority: optional
Build-Depends: python-setuptools (>= 0.6b3), python (>= 2.6.6-3), debhelper (>=8), dh-python
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-rosinstall-generator.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-rosinstall-generator.git
Homepage: http://wiki.ros.org/rosinstall_generator
Standards-Version: 3.9.6
X-Python-Version: >= 2.6

Package: python-rosinstall-generator
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-argparse, python-catkin-pkg, python-rosdistro (>= 0.2.13), python-rospkg, python-yaml
Description: Tool to generate rosinstall files (for Robot OS)
 This package is part of Robot OS (ROS). It contains a tool to
 generate rosinstall files which contain information about repositories
 with ROS packages/stacks. It always returns information about
 released packages - either to the gbp repositories for wet packages
 or to the tarball of dry stacks from the SVN release repository.

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.6.0+git at
# Fri, 11 Oct 2013 12:43:54 +0200

%:
	dh $@ --with python2 --buildsystem=python_distutils

override_dh_clean:
	rm -rf build
	rm -rf src/rosinstall_generator.egg-info
	dh_clean

get-orig-source:
	uscan --verbose --force-download --repack --compress xz

=== debian/watch ===
# Watch control file for uscan
# Compulsory line, this is a version 3 file
version=3
# For GitHub projects you can use the tags page:

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/rosinstall_generator-$1\.tar\.gz/ \
  https://github.com/ros-infrastructure/rosinstall_generator/releases .*/v?(\d\S*)\.tar\.gz

## ros-rosinstall-generator 0.1.12

=== debian/changelog ===
ros-rosinstall-generator (0.1.12-1) unstable; urgency=medium

  * Imported Upstream version 0.1.12

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sat, 23 Jul 2016 12:02:34 +0200

## ros-rosinstall-generator 0.1.13

=== debian/changelog ===
ros-rosinstall-generator (0.1.13-3) unstable; urgency=medium

  * Repackage using pybuild
  * Add python3-rosinstall-generator package

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 15 Jul 2017 07:51:29 +0200

ros-rosinstall-generator (0.1.13-2) unstable; urgency=medium

  * Update watch file
  * Bump compat version

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 28 Jun 2017 06:11:42 +0200

ros-rosinstall-generator (0.1.13-1) unstable; urgency=medium

  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Update Vcs URLs
  * Update my email address
  * New upstream version 0.1.13
  * Update copyright
  * bump compat level to 10

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 15 Dec 2016 11:49:18 +0100

=== debian/control ===
Source: ros-rosinstall-generator
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>, Jochen Sprickerhof <jspricke@debian.org>, Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 10), dh-python, python-all, python-setuptools, python3-all, python3-setuptools
Standards-Version: 4.0.0
Homepage: http://wiki.ros.org/rosinstall_generator
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-rosinstall-generator.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-rosinstall-generator.git
Testsuite: autopkgtest-pkg-python

Package: python-rosinstall-generator
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: Tool to generate rosinstall files (for Robot OS) Python 2
 This package is part of Robot OS (ROS). It contains a tool to
 generate rosinstall files which contain information about repositories
 with ROS packages/stacks. It always returns information about
 released packages - either to the gbp repositories for wet packages
 or to the tarball of dry stacks from the SVN release repository. 
 .
 This package installs the library for Python 2.

Package: python3-rosinstall-generator
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: python-rosinstall-generator-doc
Description: Tool to generate rosinstall files (for Robot OS) Python 3
 This package is part of Robot OS (ROS). It contains a tool to
 generate rosinstall files which contain information about repositories
 with ROS packages/stacks. It always returns information about
 released packages - either to the gbp repositories for wet packages
 or to the tarball of dry stacks from the SVN release repository. 
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=rosinstall-generator
export PYBUILD_AFTER_INSTALL=rm -rf 'debian/python3-rosinstall-generator/usr/bin'

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## ros-rosinstall-generator 0.1.14

=== debian/changelog ===
ros-rosinstall-generator (0.1.14-1) unstable; urgency=medium

  * Update Vcs URLs to salsa.d.o
  * New upstream version 0.1.14
  * Bump policy and debhelper versions (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 31 Mar 2018 15:36:38 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>, Jochen Sprickerhof <jspricke@debian.org>, Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 10), dh-python, python-all, python-setuptools, python3-all, python3-setuptools
-Standards-Version: 4.0.0
+Build-Depends: debhelper (>= 11), dh-python, python-all, python-setuptools, python3-all, python3-setuptools
+Standards-Version: 4.1.3
 Homepage: http://wiki.ros.org/rosinstall_generator
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
-Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-rosinstall-generator.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-rosinstall-generator.git
+Vcs-Git: https://salsa.debian.org/science-team/ros-rosinstall-generator.git
+Vcs-Browser: https://salsa.debian.org/science-team/ros-rosinstall-generator
 Testsuite: autopkgtest-pkg-python
 
 Package: python-rosinstall-generator

## ros-rosinstall-generator 0.1.17

=== debian/changelog ===
ros-rosinstall-generator (0.1.17-1) unstable; urgency=medium

  * New upstream version 0.1.17

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 17 Aug 2019 11:24:32 +0200

ros-rosinstall-generator (0.1.16-1) unstable; urgency=medium

  * Add R³
  * http -> https
  * Remove unknown -doc package suggestion
  * New upstream version 0.1.16
  * fix lintian ancient-python-version-field
  * Bump policy version (no changes)
  * switch to debhelper-compat and debhelper 12
  * rebase patches
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 28 Jul 2019 19:39:11 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,10 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>, Jochen Sprickerhof <jspricke@debian.org>, Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 11), dh-python, python-all, python-setuptools, python3-all, python3-setuptools
-Standards-Version: 4.1.3
-Homepage: http://wiki.ros.org/rosinstall_generator
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
+Build-Depends: debhelper-compat (= 12), dh-python, python-all, python-setuptools, python3-all, python3-setuptools
+Standards-Version: 4.4.0
+Rules-Requires-Root: no
+Homepage: https://wiki.ros.org/rosinstall_generator
 Vcs-Git: https://salsa.debian.org/science-team/ros-rosinstall-generator.git
 Vcs-Browser: https://salsa.debian.org/science-team/ros-rosinstall-generator
 Testsuite: autopkgtest-pkg-python
@@ -27,7 +26,6 @@
 Package: python3-rosinstall-generator
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}
-Suggests: python-rosinstall-generator-doc
 Description: Tool to generate rosinstall files (for Robot OS) Python 3
  This package is part of Robot OS (ROS). It contains a tool to
  generate rosinstall files which contain information about repositories

## ros-rosinstall-generator 0.1.18

=== debian/changelog ===
ros-rosinstall-generator (0.1.18-1) unstable; urgency=medium

  * New upstream version 0.1.18
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 13 Oct 2019 08:47:35 +0200

ros-rosinstall-generator (0.1.17-2) unstable; urgency=medium

  * Drop Python 2 (Closes: #938398)
  * Add d/clean

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 27 Sep 2019 13:56:05 +0200

=== debian/control ===
Source: ros-rosinstall-generator
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>, Jochen Sprickerhof <jspricke@debian.org>, Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper-compat (= 12), dh-python, python3-all, python3-setuptools
Standards-Version: 4.4.1
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/rosinstall_generator
Vcs-Git: https://salsa.debian.org/science-team/ros-rosinstall-generator.git
Vcs-Browser: https://salsa.debian.org/science-team/ros-rosinstall-generator
Testsuite: autopkgtest-pkg-python

Package: python3-rosinstall-generator
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Breaks: python-rosinstall-generator (<< 0.1.17-2)
Replaces: python-rosinstall-generator (<< 0.1.17-2)
Description: Tool to generate rosinstall files (for Robot OS) Python 3
 This package is part of Robot OS (ROS). It contains a tool to
 generate rosinstall files which contain information about repositories
 with ROS packages/stacks. It always returns information about
 released packages - either to the gbp repositories for wet packages
 or to the tarball of dry stacks from the SVN release repository. 
 .
 This package installs the library for Python 3.

=== debian/watch ===
# Watch control file for uscan
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-rosinstall-generator-$1.tar.gz%" \
    https://github.com/ros-infrastructure/rosinstall_generator/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ros-rosinstall-generator 0.1.22

=== debian/changelog ===
ros-rosinstall-generator (0.1.22-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

  [ Jochen Sprickerhof ]
  * Enable autopkgtest-pkg-pybuild

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 10 Dec 2022 12:41:09 +0100

ros-rosinstall-generator (0.1.22-2) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Drop gitlab-ci
  * Drop old Breaks/Replaces

  [ Timo Röhling ]
  * Fix deprecated yaml.load()
  * Bump Standards-Version to 4.6.1
  * Add myself to uploaders

 -- Timo Röhling <roehling@debian.org>  Thu, 20 Oct 2022 16:10:03 +0200

ros-rosinstall-generator (0.1.22-1) unstable; urgency=medium

  * New upstream version 0.1.22

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 07 Jul 2020 08:11:03 +0200

ros-rosinstall-generator (0.1.21-1) unstable; urgency=medium

  * New upstream version 0.1.21
  * rebase patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 27 Jun 2020 08:02:49 +0200

ros-rosinstall-generator (0.1.19-1) unstable; urgency=medium

  * New upstream version 0.1.19
  * Remove Thomas from Uploaders, thanks for working on this
  * cleanup d/watch
  * bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 06 Jun 2020 07:52:12 +0200

=== debian/control ===
Source: ros-rosinstall-generator
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>, Leopold Palomo-Avellaneda <leo@alaxarxa.net>, Timo Röhling <roehling@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-setuptools,
 python3-rosdistro <!nocheck>,
 python3-pytest <!nocheck>,
 python3-yaml <!nocheck>,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/rosinstall_generator
Vcs-Git: https://salsa.debian.org/science-team/ros-rosinstall-generator.git
Vcs-Browser: https://salsa.debian.org/science-team/ros-rosinstall-generator
Testsuite: autopkgtest-pkg-pybuild

Package: python3-rosinstall-generator
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Tool to generate rosinstall files (for Robot OS) Python 3
 This package is part of Robot OS (ROS). It contains a tool to
 generate rosinstall files which contain information about repositories
 with ROS packages/stacks. It always returns information about
 released packages - either to the gbp repositories for wet packages
 or to the tarball of dry stacks from the SVN release repository.
 .
 This package installs the library for Python 3.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-rosinstall-generator-$1.tar.gz%" \
    https://github.com/ros-infrastructure/rosinstall_generator/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## ros-rosinstall-generator 0.1.23

=== debian/changelog ===
ros-rosinstall-generator (0.1.23-1) unstable; urgency=medium

  * New upstream version 0.1.23
  * Rediff patches
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 12 Jun 2023 22:31:37 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python3-rosdistro <!nocheck>,
  python3-pytest <!nocheck>,
  python3-yaml <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/rosinstall_generator
 Vcs-Git: https://salsa.debian.org/science-team/ros-rosinstall-generator.git
